This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 754557 - vte not setting TERM variable for terminal emulators other than gnome-terminal
vte not setting TERM variable for terminal emulators other than gnome-terminal
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vte (Show other bugs)
6.1
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Debarshi Ray
Desktop QE
AcceptedNTH
:
: 803845 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-16 15:27 EST by Aron Parsons
Modified: 2016-06-30 14:33 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 639280
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
vte-fix-from-upstream (4.31 KB, patch)
2011-11-16 16:42 EST, Aron Parsons
no flags Details | Diff

  None (edit)
Description Aron Parsons 2011-11-16 15:27:57 EST
+++ This bug was initially created as a clone of Bug #639280 +++

vte-0.25.1-6.el6 is encountering this same issue where the TERM variable is not being set by terminal emulators using vte.

The bug was fixed upstream in 0.26.

References:
https://bugzilla.gnome.org/show_bug.cgi?id=631589
https://bugzilla.redhat.com/show_bug.cgi?id=639280
Comment 2 Adam Williamson 2011-11-16 15:50:50 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 RHEL Product and Program Management 2011-11-16 15:58:46 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 4 Aron Parsons 2011-11-16 16:42:11 EST
Created attachment 534101 [details]
vte-fix-from-upstream

Upstream commits:
0574bcfbd5c5925458ecdea0e6bbac6d65e30efc
e5fd6c3cda63cad2e3d7af8728a168b90eb009dc 

The attached patch includes these and applies cleanly against vte-0.25.1-6.el6.
Comment 5 Tomáš Bžatek 2012-06-04 08:29:29 EDT
*** Bug 803845 has been marked as a duplicate of this bug. ***
Comment 7 RHEL Product and Program Management 2012-07-10 03:59:56 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 8 RHEL Product and Program Management 2012-07-10 22:03:32 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 9 RHEL Product and Program Management 2012-09-07 01:27:36 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.